/*
 * deviced
 *
 * Copyright (c) 2017 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file	lbm.h
 * @brief	Low Brightness Mode header file
 */
#ifndef __LBM_H__
#define __LBM_H__

/*
 * @brief Configuration structure
 */
struct lbm_config {
	int support;
	int down_level;
	int brt_table_size;
	int *brt_table;
	int aod_brightness_level;
};

/*
 * Global variables
 *   lbm_conf : configuration of lbm
 */
extern struct lbm_config lbm_conf;

int lbm_get_state(void);
int lbm_set_state(int lbm);
int lbm_down_brt(int brt);
bool get_lbm_setting(void);

/**
 * @}
 */

#endif
