#!/bin/sh

DEFAULT_IP_ADDR="192.168.129.3"

#########################################################################################
# TM1, TW2 : not configfs and have no ifname
# TW3 : configfs and ifname value is "rndis0"
# XU3 : configfs and ifname value is "usb0"
if [ -e /sys/kernel/config/usb_gadget/hal-gadget/functions/rndis.default/ifname ]
then
	IFNAME=`cat /sys/kernel/config/usb_gadget/hal-gadget/functions/rndis.default/ifname`
else
	IFNAME="usb0"
fi

#########################################################################################
VCONF=`vconftool get db/dnet/rndis_ip`
if [ $? -ne 0 ]
then
	IP_ADDR=$DEFAULT_IP_ADDR
else
	IP_ADDR=`echo $VCONF | awk -F' ' '{print $4}'`
fi

#########################################################################################
if [ x$1 == "xstart" ]
then
	echo "rndis network inteface =" $IFNAME
	echo "rndis ip address =" $IP_ADDR

	/sbin/ifconfig $IFNAME $IP_ADDR up
else
	/sbin/ifconfig $IFNAME down
fi
