/*
 * deviced
 *
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DISPLAY_H__
#define __DISPLAY_H__

#include "device-interface.h"
#include "core/common.h"

void lcd_direct_control(enum dpms_state state, int flags);

enum brightness_request_e {
	BR_MIN = 0,
	/* entering request */
	BR_LBM_ON,
	BR_HBM_ON,
	BR_HOLD_BRIGHTNESS,
	BR_LOWDIM_ON, /* low battery dim */

	/* exiting request */
	BR_LBM_OFF,
	BR_HBM_OFF,
	BR_RELEASE_BRIGHTNESS,
	BR_LOWDIM_OFF, /* low battery dim off */

	/* special */
	BR_SET_BRIGHTNESS,

	BR_MAX,
};

/* request for brightness that managed internally.
 * BR_HOLD_BRIGHTNESS and BR_SET_BRIGHTNESS does not use this implicit brightness
 * for request, but explicitly request for a brightness value */
#define BR_IMPLICIT		(-1)

#endif
